Skip to content

Add or update rfi material list

  • Endpoint: POST /aggregate-pay/api/gateway/putRfiMaterialList
  • Tags: Risk

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
versionstringYesAPI version. Current value: 1.5
keyVersionstringYesSignature Algorithm Version, Current value: 1
requestTimestringYesRequest time, compliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time
appIdstringYesMerchant AppId,The unique identifier assigned to the merchant app by PayerMax
merchantNostringNomaxLength: 32Merchant Id, the unique identifier generated when the merchant signs the contract with PayerMax
dataobjectYes
data.rfiNostringYesRFI Unique Identification Number
data.materialListarray[object]YesRFI Associated Material List
data.materialList[].fieldValuestringYesMaterial value,For HTTP, provide the full file URL in the format: http://xx/xxx.zip.For SFTP, provide the file storage path in the format: /risk/rfi/xxx.
data.materialList[].fieldNamestringYesExample of supplementary material name: ID
data.materialList[].filePathTypestringNodefault: "HTTP"Indicates the type of file path. If not specified, the default value is HTTP.HTTP, SFTP

Example

json
{
  "version": "1.4",
  "keyVersion": "1",
  "requestTime": "2022-01-17T09:05:52.194+00:00",
  "appId": "{{appId}}",
  "merchantNo": "{{merchantNo}}",
  "data": {
    "rfiNo": "test_001",
    "materialList": [
      {
        "fieldValue": "https://www.baidu.com",
        "fieldName": "ID"
      }
    ]
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
codestringYesReturn code, ‘APPLY_SUCCESS’ means success
msgstringYesReturn message, ‘Success.’
databooleanNoReturn data, True

Enum Reference

data.materialList[].filePathType

  • HTTP
  • SFTP

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.